Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name: 		sound-theme-freedesktop
Version: 	0.2
Release: 	1
Summary: 	freedesktop.org sound theme
Group: 		User Interface/Desktops
Source0: 	http://people.freedesktop.org/~mccann/dist/sound-theme-freedesktop-%{version}.tar.bz2
# For details on the licenses used, see README
License: 	GPLv2+ and LGPLv2+ and CC-BY-SA and CC-BY
Url: 		http://www.freedesktop.org/wiki/Specifications/sound-theme-spec
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: 	noarch
BuildRequires: 	gettext
BuildRequires: 	intltool
Requires(post): /bin/touch
Requires(postun): /bin/touch

%description
The default freedesktop.org sound theme following the XDG theming
specification.  (http://0pointer.de/public/sound-theme-spec.html).

%prep
%setup -q

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/bin/touch --no-create %{_datadir}/sounds/freedesktop %{_datadir}/sounds

%postun
/bin/touch --no-create %{_datadir}/sounds/freedesktop %{_datadir}/sounds

%files
%defattr(-,root,root)
%doc README
%dir %{_datadir}/sounds/freedesktop
%dir %{_datadir}/sounds/freedesktop/stereo
%{_datadir}/sounds/freedesktop/index.theme
%{_datadir}/sounds/freedesktop/stereo/*.ogg

%changelog
* Sat Jan 10 2009 Christian Metzen <metzench@ccux-linux.de> 0.2-1
- Initial release
